Package ghidra.app.plugin

# Interface PluginCategoryNames

public interface PluginCategoryNames
A listing of commonly used `PluginDescription` category names.

Note - the Front End tool automatically include plugins that: 1) implement `ApplicationLevelPlugin`, have the `PluginStatus.RELEASED`, and do not have the `EXAMPLES` category. If you wish to create an `ApplicationLevelPlugin` that is not automatically included in the Front End, the easiest way to do that is to mark its status as `PluginStatus.STABLE`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ANALYSIS`
  `static final String`
  `CODE_VIEWER`
  `static final String`
  `COMMON`
  `static final String`
  `DEBUGGER`
  `static final String`
  `DIAGNOSTIC`
  `static final String`
  `EXAMPLES`
  `static final String`
  `FRAMEWORK`
  `static final String`
  `GRAPH`
  `static final String`
  `NAVIGATION`
  `static final String`
  `PROGRAM_ORGANIZATION`
  `static final String`
  `SEARCH`
  `static final String`
  `SELECTION`

- ## Field Details

  - ### ANALYSIS

    static final String ANALYSIS
    See Also:
      - Constant Field Values

  - ### COMMON

    static final String COMMON
    See Also:
      - Constant Field Values

  - ### CODE_VIEWER

    static final String CODE_VIEWER
    See Also:
      - Constant Field Values

  - ### DEBUGGER

    static final String DEBUGGER
    See Also:
      - Constant Field Values

  - ### DIAGNOSTIC

    static final String DIAGNOSTIC
    See Also:
      - Constant Field Values

  - ### EXAMPLES

    static final String EXAMPLES
    See Also:
      - Constant Field Values

  - ### FRAMEWORK

    static final String FRAMEWORK
    See Also:
      - Constant Field Values

  - ### GRAPH

    static final String GRAPH
    See Also:
      - Constant Field Values

  - ### NAVIGATION

    static final String NAVIGATION
    See Also:
      - Constant Field Values

  - ### SEARCH

    static final String SEARCH
    See Also:
      - Constant Field Values

  - ### SELECTION

    static final String SELECTION
    See Also:
      - Constant Field Values

  - ### PROGRAM_ORGANIZATION

    static final String PROGRAM_ORGANIZATION
    See Also:
      - Constant Field Values